/// <reference types="socket.io-client" />
export interface ClientOptions {
    microTimePrecision?: boolean;
    autoSync?: boolean;
    autoSyncTime?: number;
}
export declare class TimeSyncerClient {
    private _innerClient;
    constructor(socket: SocketIOClient.Socket, options?: ClientOptions);
    synchronize(): void;
    readonly timeOffset: number;
}
