"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class AbstractInnerClient {
    constructor(socket) {
        this._offsets = [0];
    }
    synchronize() {
        this.startSync();
    }
    get timeOffset() {
        const sum = this._offsets.reduce((p, c) => p + c, 0);
        return sum / this._offsets.length;
    }
}
exports.AbstractInnerClient = AbstractInnerClient;
