"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const microtime = require("microtime");
class TimeSyncerServer {
    constructor(socket) {
        this._socket = socket;
        this._socket.on('SyncMs', (t0) => {
            this._socket.emit('AckMs', t0, Date.now());
        });
        this._socket.on('SyncMc', (t0) => {
            this._socket.emit('AckMc', t0, microtime.now());
        });
    }
    get socket() {
        return this._socket;
    }
}
exports.TimeSyncerServer = TimeSyncerServer;
