/// <reference types="socket.io-client" />
export declare abstract class AbstractInnerClient {
    protected _offsets: number[];
    protected _socket: SocketIOClient.Socket;
    constructor(socket: SocketIOClient.Socket);
    protected abstract startSync(): void;
    protected abstract computeSync(t0: number, t1: number, t2: number): void;
    synchronize(): void;
    readonly timeOffset: number;
}
