"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AbstractInnerClient_1 = require("./AbstractInnerClient");
class NsClient extends AbstractInnerClient_1.AbstractInnerClient {
    constructor(socket) {
        super(socket);
        this._socket.on('firstAckNs', (d) => this.secondSync(d));
        this._socket.on('SecondAckMs', (d) => this.computeSync(d));
    }
    firstSync() {
        const timeDataToSend = {
            t0: process.hrtime(),
            t1: [0, 0],
            t2: [0, 0],
            t3: [0, 0]
        };
        this._socket.emit('firstSyncNs', timeDataToSend);
    }
    secondSync(d) {
        d.t2 = process.hrtime();
        this._socket.emit('secondSyncNs', d);
    }
    computeSync(d) {
    }
}
exports.NsClient = NsClient;
